x2goresume-session(8)

NAME
x2goresume-session - Resume X2Go Session

SYNOPSIS
x2goresume-session <session_id> \
                    <geometry> \
                    <link_quality> \
                    <nx_pack_meth> \
                    <kblayout> \
                    <kbtype> \
                    <setkbd> \
                    <clipboardmode>

DESCRIPTION
x2goresume-session resumes the suspended session with session ID <session_id>.

This command is normally issued by an X2Go client application with X2Go user privileges.

ARGUMENTS

\FC<session_id>\F[]
    The session ID (or session name) of the suspend session that is to be resumed.

\FC<geometry>\F[]
    Session window size on screen (allowed values: <width>x<height> or fullscreen).

\FC<link_quality>\F[]
    Any value out of: modem, isdn, adsl, wan or lan.

\FC<nx_pack_method>\F[]
    NX compression method (see below for possible values).

\FC<cache_type+dpi>\F[]
    Cache type and color depth for X2Go session window. The most common value is: unix-kde-depth_24 where ,,24'' is the color depth in bit.

\FC<kblayout>\F[]
    Keyboard layout (e.g. us, de, etc.).

\FC<kbtype>\F[]
    Keyboard type/model (e.g. pc105/us).

\FC<setkbd>\F[]
    Force setting keyboard layout and type within the X2Go session on startup. Values: 0 or 1.

\FC<clipboardmode>\F[]
    The session's clipboard mode. Possible values: both, server, client, none. Allows one to configure clipboard security per session via the connecting X2Go client. If the clipboard parameter is set server-side in /etc/x2go/x2goagent.options, then that value will override client-side settings.

RETURN VALUES
x2goresume-session reports to stderr if resuming of session <session_id> failed. This very probably means that the session's X agent has died, so the session <session_id> will be marked as finished in the X2Go session database.

If everything works out well, a list of session attributes is returned after successful session resumption. Session attributes will be presented on a line-by-line basis:

    field 01: <graphics_port>
    field 02: <sound_port>
    field 03: <sshfs_port>
    field 04: <tekictrl_port> (if Telekinesis is available/enabled)
    field 04: <tekidata_port> (if Telekinesis is available/enabled)

As exitcode x2goresume-session always returns 0.

SEE ALSO
x2gostartagent(8), x2goruncommand(8), x2gosuspend-session(8), x2goterminate-session(8)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).